%Magnetic field calculations

r_t = 0.0005;       %radius of the tube 0.5mm   (1mm diameter) 
r_core = 0.0005;    %radius of the electromagnetic coil core
d = 0.001;          %magnet height
l_f = 0.002;        %length of the two fluid gaps
mu_f = 5e-6;        %permeability of fluid
A_f = d*(2*r_t);      %cross-sectional area of fluid gap - no fringing
l_ret = 0.02;       %length of flux return path  2cm
%l_ret = 0:0.0001:0.02;
mu_ret = 5000e-6;   %permeability of flux return path
%mu_ret = 0:1e-4:25000e-6;
A_ret = 1e-6;       %cross-sectional area of flux return path.
%A_ret = 0:1e-8:5e-6;
l = 0.005;          %length of coil windings 5mm
%l = 0:0.0001:0.01;
mu = 5000e-6;       %permeability of iron
%mu_c = 0:250e-6:25000e-6;   %the permeability in the coil core
mu_c = mu;
l_c = l;             %length of coil core 
N=50;               %#windings in the coil
%N = 0:1:250;
%i=1;
i = 0:0.001:2;      %current in the coil
Fmmf = N*i;
A_c = pi*r_core^2;      %cross-sectional area of solenoid core...
%A_c = 0:1e-8:1e-6;
%H = 440;            %saturation limit of iron (solenoid core...)
                    
H = Fmmf./l;          %Field intensity from windings
                    
R1 = l_f/(mu_f*A_f);        %Reluctance of fluid gap
R2 = l_ret./(mu_ret.*A_ret);  %Reluctance of flux return path

Rc = l_c./(mu_c.*A_c);             %Reluctance of the coil core 

H_f = (R1./(R1+R2+Rc))*Fmmf./l_f;     %field intensity over fluid gap
H_c = (Rc./(R1+R2+Rc))*Fmmf./l_c;     %field intensity in solenoid core

H_ret = (R2./(R1+R2+Rc))*Fmmf./l_ret;   %field intensity in return path

x = ((1e-5)*H_f + 2)/1000;      %dele p 1000 for  f meter...



figure('Name','Various core properties etc..','NumberTitle','off')
subplot(2,1,1)
plot(i,H_ret)
grid on
xlabel('i [A]')
ylabel('H_r_e_t [A/m]')
title('Field intensity in the flux return path vs the current, with N=50')

subplot(2,1,2)
plot(i,H_c)
grid on
xlabel('i [A]')
ylabel('H_c [A/m]')
title('Field intensity in electromagnetic coil core vs the current')


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%% Plott av fluidgapet vs feltintensiteten...
%(Byt ut l_fe og l_f med A_fe og A_f dersom du vil ha lengden p gapet...)
% % Fmmf2 = 50*1;
% % H_f=[];
% % l_fe=[];
% % for l_f=0:0.00001:0.002
% %     R1 = l_f/(mu_f*A_f);        
% %     R2 = l_ret/(mu_ret*A_ret);  
% %     Rc = l_c./(mu*A_c);               
% %     H_f = [H_f,(R1/(R1+R2+Rc))*Fmmf2/l_f]; 
% %     l_fe=[l_fe,l_f];
% % end
% % figure('Name','Various coil properties considered........','NumberTitle','off')
% % plot(l_fe,H_f)
% % grid on
% % xlabel('l_f [m]')
% % ylabel('H_f [A/m]')
% % title('Fluid field intensity vs fluid gap length, with N=50, i=1A')


