%Real tests, opposing magnetic field ("zeroing" of field...)
Bz = [0,8e-3,16.47e-3,28.5e-3,53.2e-3];

Qavz = [1.1485e-6,1.16575e-6,1.15875e-6,1.091e-6,0.84875e-6];   %average flow rates
Qavz1 = [1.134e-6,1.148e-6,1.121e-6,1.035e-6,0.86e-6]; %average without the first measurement (at 10mm)
Q0z = [1.205e-6,1.09e-6,1.107e-6];    %flow rate at near zeroed field
Q0zd = 1.192e-6;    %discarded
Q8z = [1.22e-6,1.096e-6,1.129e-6];   %at 8mT "zeroed" field 
Q8zd = 1.218e-6;    %discarded
Q16z = [1.183e-6,1.072e-6,1.107e-6];  %at 16.47mT "zeroed" field
Q16zd = 1.273e-6;   %discarded
Q28z = [1.111e-6,0.978e-6,1.017e-6];  %28.5mT 
Q28zd = 1.258e-6;   %discarded
Q37z = [0.815e-6,0.87e-6,0.826e-6,0.829e-6];  %37.1mT, but without the cylinder!
Q53 = [0.858e-6,0.851e-6,0.871e-6];   %53.2mT, no "opposing" magnet
Q53d = 0.815e-6;    %discarded

Q72z = [0.892e-6,0.962e-6,0.940e-6,0.916e-6];  %72.4mT field zeroed
Q72zav = 0.9275e-6; %average field
Q93z = [0.809e-6,0.844e-6,0.833e-6,0.801e-6];  %93.3mT field zeroed
Q93zav = 0.82175e-6;  %average field


%From before, "clean" magnetic interaction (magnTestsWithModel.m)
%B = [0,11.64e-3,21.65e-3,30.65e-3,36.65e-3,48.8e-3,55.35e-3]; %Magnetic field [T]
Blin = 0:0.001:0.055
%Qav = [10.38e-6,9.94e-6,6.514e-6,6.241e-6,4.581e-6,1.918e-6,0.755e-6];   %average flow rate m^3/s (without the first measurement)
Qlin = -1.827e-4*Blin + 1.1106e-5; %linear approximation to the average flow rate (from magnTestsWithModel.m)

figure(1)
subplot(2,1,1)
plot(Blin,Qlin,':m')
hold on
%plot(Bz,Qavz,':b')
plot(Bz,Qavz1,'b')
plot(0.1e-3,1.134e-6,'b+')
plot(0.27e-3,Q72zav,'k+')
plot(0.4e-3,Q93zav,'r+')
plot(0,Q0zd,'b.')   %discarded
plot(0,Q0z,'bx')
plot(8e-3,Q8z,'bx')
plot(8e-3,Q8zd,'b.')    %discarded
plot(16.47e-3,Q16z,'bx')
plot(16.47e-3,Q16zd,'b.')   %discarded
plot(28.5e-3,Q28z,'bx')
plot(28.5e-3,Q28zd,'b.')    %discarded
plot(37.1e-3,Q37z,'b.')
plot(53.2e-3,Q53,'bx')
plot(53.2e-3,Q53d,'b.') %discarded
hold off
title('Reducing a field from 53.2mT using "opposing" magnets.....')
xlabel('Magnetic field B [T]')
ylabel('Flow rate Q [m^3/s]')
legend('"Clean" linear approximation','Average flow rate','53.2mT "zeroed" field','72.4mT "zeroed" field','93.3mT "zeroed" field','Discarded')
%legend('"Clean" linear approximation','Average flow rate','Without first measurement','72.4mT "zeroed" field','93.3mT "zeroed" field')

subplot(2,1,2)
plot(Blin,Qlin,':m')
hold on
%plot(Bz,Qavz,':b')
plot(Bz,Qavz1,'b')
plot(0,Q0zd,'b.')   %discarded
plot(0.1e-3,1.134e-6,'b+')
plot(0.27e-3,Q72zav,'k+')
plot(0.4e-3,Q93zav,'r+')
plot(0,Q0z,'bx')
plot(8e-3,Q8z,'bx')
plot(8e-3,Q8zd,'b.')    %discarded
plot(16.47e-3,Q16z,'bx')
plot(16.47e-3,Q16zd,'b.')   %discarded
plot(28.5e-3,Q28z,'bx')
plot(28.5e-3,Q28zd,'b.')    %discarded
plot(37.1e-3,Q37z,'b.')
plot(53.2e-3,Q53,'bx')
plot(53.2e-3,Q53d,'b.') %discarded
hold off
%title('Reducing a field from 53.2mT using "opposing" magnets.....')
xlabel('Magnetic field B [T]')
ylabel('Flow rate Q [m^3/s]')
%legend('"Clean" linear approximation','Average flow rate','53.2mT "zeroed" field','72.4mT "zeroed" field','93.3mT "zeroed" field')
%legend('"Clean" linear approximation','Average flow rate','Without first measurement','72.4mT "zeroed" field','93.3mT "zeroed" field')

